Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class InterpolatingVertexSizeFunction

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.InterpolatingVertexSizeFunction

All Implemented Interfaces:
  VertexSizeFunction

public class InterpolatingVertexSizeFunction
extends Object
implements VertexSizeFunction

Provides vertex sizes that are spaced proportionally between min_size and max_size depending on

Author:
  Joshua O'Madadhain

Field Summary
`protected double` | `max`
`protected double` | `min`
`protected int` | `min_size`
`protected NumberVertexValue` | `nvv`
`protected int` | `size_diff`

Constructor Summary
`InterpolatingVertexSizeFunction(NumberVertexValue nvv, int min_size, int max_size)`

Method Summary
`int` | `getSize(Vertex v)`
`void` | `setMaxSize(int max_size)`
`void` | `setMinSize(int min_size)`
`void` | `setNumberVertexValue(NumberVertexValue nvv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### min

    protected double min

### max

    protected double max

### nvv

    protected NumberVertexValue nvv

### min_size

    protected int min_size

### size_diff

    protected int size_diff

Constructor Detail

### InterpolatingVertexSizeFunction

    public InterpolatingVertexSizeFunction(NumberVertexValue nvv,
                                           int min_size,
                                           int max_size)

Method Detail

### getSize

    public int getSize(Vertex v)

  Specified by:
    `getSize` in interface `VertexSizeFunction`

### setMinSize

    public void setMinSize(int min_size)

### setMaxSize

    public void setMaxSize(int max_size)

### setNumberVertexValue

    public void setNumberVertexValue(NumberVertexValue nvv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD